/// <reference types="react" />
import * as React from 'react';
import { ITreeGroup } from '@git-stack/client-core';
export interface StatusViewComponentGraphqlProps {
    gitStatus: ITreeGroup[];
    refetch: () => void;
    git?: any;
}
export interface StatusViewComponentStateProps {
    git: any;
}
export interface StatusViewComponentDispatchProps {
    setTreeData: (data: ITreeGroup[]) => any;
    refresh: (refresh: boolean) => void;
}
export declare type IStatusViewComponentProps = StatusViewComponentGraphqlProps & StatusViewComponentStateProps & StatusViewComponentDispatchProps;
export declare type StatusViewComponentOwnState = {
    gitLoad: boolean;
};
declare class StatusViewComponent extends React.Component<IStatusViewComponentProps, StatusViewComponentOwnState> {
    constructor(props: IStatusViewComponentProps);
    componentWillReceiveProps(nextProps: IStatusViewComponentProps): void;
    componentWillUnmount(): void;
    private actionRefetch;
    render(): JSX.Element;
}
export default StatusViewComponent;
